CommonApiVersion 1.0.0
Upload merchant files
POST
https://pay.globepay.co/api/v1.0/gateway/partners/{partner_code}/upload_fileMerchants can upload their own files to GlobePay Cloud
Header
| Field | Description |
|---|---|
Accept | multipart/form-data |
Path Variable
| Field | Type | Description |
|---|---|---|
partner_code | String | Required, Partner code |
Parameter
| Field | Type | Description |
|---|---|---|
file | MultipartFile | Required, file information |
Query Params
| Field | Type | Description |
|---|---|---|
time | Long | Required, UTC timestamp in milliseconds |
nonce_str | String | Required, Random string |
sign | String | Required, Sign |
Success 200
| Field | Type | Description |
|---|---|---|
return_code | String | Execution result |
result_code | String | SUCCESS |
file_name | String | File Origin Name |
file_value | String | File Url(http/https) |
partner_code | String | Partner code |
full_name | String | Partner's full company name when registered |
partner_name | String | Partner's name |
ERROR
| Name | Description |
|---|---|
return_code | Error Code |
return_msg | Error Description |
Error Code
| Name | Description |
|---|---|
SYSTEMERROR | Exception inside system |
INVALID_SHORT_ID | Partner code is invalid or there is no partner associated with this code |
SIGN_TIMEOUT | Sign expired, the difference between time and the server time is more than 5 minutes |
INVALID_SIGN | Invalid sign |
PARAM_INVALID | Parameters are invalid. See return_msg for more details. |
NOT_PERMITTED | Gateway payment permission has not been enabled for this partner |
INVALID_CHANNEL | Channel name is not available, check the Capitalize |
